Create signed psp mandates, these need to be verified before creating
curl --request POST \
--url https://api.paytsoftware.com/v1/psp_mandates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"administration_id": "<string>",
"psp_mandates": [
{
"bank_account_name": "<string>",
"bank_account_number": "<string>",
"mandate_identifier": "<string>",
"debtor_code": "<string>",
"debtor_id": "<string>",
"customer_identifier": "<string>",
"mandate_reference": "<string>"
}
],
"fields": "<string>"
}
'import requests
url = "https://api.paytsoftware.com/v1/psp_mandates"
payload = {
"administration_id": "<string>",
"psp_mandates": [
{
"bank_account_name": "<string>",
"bank_account_number": "<string>",
"mandate_identifier": "<string>",
"debtor_code": "<string>",
"debtor_id": "<string>",
"customer_identifier": "<string>",
"mandate_reference": "<string>"
}
],
"fields": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
administration_id: '<string>',
psp_mandates: [
{
bank_account_name: '<string>',
bank_account_number: '<string>',
mandate_identifier: '<string>',
debtor_code: '<string>',
debtor_id: '<string>',
customer_identifier: '<string>',
mandate_reference: '<string>'
}
],
fields: '<string>'
})
};
fetch('https://api.paytsoftware.com/v1/psp_mandates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"administration_id": "<string>",
"bank_account_name": "<string>",
"bank_account_number": "<string>",
"debtor_id": "<string>",
"id": "<string>",
"mandate_identifier": "<string>",
"provider": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"mandate_reference": "<string>",
"debtor_number": "<string>",
"deactivated_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}psp_mandates
Create signed psp mandates, these need to be verified before creating
Create signed psp mandates, these need to be verified before creating
POST
/
v1
/
psp_mandates
Create signed psp mandates, these need to be verified before creating
Authorizations
OAuth2 access token or static API token. See Authorization for how to obtain one.
Body
application/jsonapplication/x-www-form-urlencoded
Response
Create signed psp mandates, these need to be verified before creating
CustomerApi_V1_PspMandateEntity model
Owning administration identifier
Bank account name
Bank account number
Internal debtor identifier
Internal identifier
Identifier from provider
Provider where mandate is registered
Timestamp at which the psp_mandate was last updated
Customer-supplied mandate reference
Debtor number (request with the 'fields' parameter)
Timestamp at which the psp_mandate was deactivated
Last modified on August 13, 2026
Was this page helpful?
⌘I